### Class

# Ide Snippet

#### Description

    final class Ide.Snippet : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_snippet_new

Creates a new `IdeSnippet`.

Available since: 3.32

#### Instance methods

###### ide_snippet_add_chunk

No description available.

###### ide_snippet_copy

Does a deep copy of the snippet.

Available since: 3.32

###### ide_snippet_get_chunk_range

No description available.

###### ide_snippet_get_context

Get’s the context used for expanding the snippet.

Available since: 3.32

###### ide_snippet_get_description

Gets the description for the snippet.

Available since: 3.32

###### ide_snippet_get_full_text

Gets the contents of the snippet as currently edited by the user.

Available since: 3.32

###### ide_snippet_get_language

Gets the language used for the source snippet.

Available since: 3.32

###### ide_snippet_get_n_chunks

Gets the number of chunks in the snippet. Not all chunks are editable.

Available since: 3.32

###### ide_snippet_get_nth_chunk

Gets the chunk at `n`.

Available since: 3.32

###### ide_snippet_get_tab_stop

Gets the current tab stop for the snippet. This is changed as the user Tab’s through the edit points.

Available since: 3.32

###### ide_snippet_get_trigger

Gets the trigger for the source snippet.

Available since: 3.32

###### ide_snippet_replace_current_chunk_text

This replaces the current chunk (if any) to contain the contents of `new_text`.

Available since: 3.32

###### ide_snippet_set_description

Sets the description for the snippet.

Available since: 3.32

###### ide_snippet_set_language

Sets the language identifier for the snippet.

Available since: 3.32

###### ide_snippet_set_trigger

Sets the trigger for the snippet.

Available since: 3.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.Snippet:buffer

No description available.

###### Ide.Snippet:description

No description available.

###### Ide.Snippet:language

No description available.

###### Ide.Snippet:mark-begin

No description available.

###### Ide.Snippet:mark-end

No description available.

###### Ide.Snippet:tab-stop

No description available.

###### Ide.Snippet:trigger

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSnippetClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.